-- Social module, this is not supposed to be an Infotext's element.
-- This is supposed to be a module made for code shared between Friends and Guild.

------------------------------------------------------
-- / SETUP AND LOCALS / --
------------------------------------------------------
local addonname, LUI = ...
local module = LUI:GetModule("Infotext")
local social = module:NewModule("Social")
local L = LUI.L

-- local copies
-- constants

--Colors for the Guild/Friends, to be moved to their db when it's time.
social.GF_COLORS = {
	Note = {0.14, 0.76, 0.15},
	OfficerNote = {1, 0.56, 0.25},
	MotD = {1, 0.8, 0},
	Broadcast = {1, 0.1, 0.1},
	Title = {1, 1, 1},
	Rank = {0.1, 0.9, 1},
	Realm = {1, 0.8, 0},
	Status = {0.7, 0.7, 0.7},
	OrderA = {1, 1, 1, 0.1},
	ContestedZone = {1, 1, 0},
	SanctuaryZone = {0, 1, 1},
	FriendlyZone = {0, 1, 0},
	EnemyZone = {1, 0, 0},
	RemoteChatZone = {0, 1, 1},
}

local MOBILE_BUSY_ICON = MOBILE_BUSY_ICON
local MOBILE_AWAY_ICON = MOBILE_AWAY_ICON

--Find better name for these constants
local BUTTON_HEIGHT = 15
local ICON_SIZE = 13
local GAP = 10
local TEXT_OFFSET = 5

-- locals


------------------------------------------------------
-- / MODULE FUNCTIONS / --
------------------------------------------------------

------------------------------------------------------
-- / FRAMEWORK FUNCTIONS / --
------------------------------------------------------
function social:OnEnable()
end